diff --git a/game/core/src/main/java/net/minecraft/core/entity/monster/MobZombie.java b/game/core/src/main/java/net/minecraft/core/entity/monster/MobZombie.java
index 6c1848438..2bf4d8a41 100644
--- a/game/core/src/main/java/net/minecraft/core/entity/monster/MobZombie.java
+++ b/game/core/src/main/java/net/minecraft/core/entity/monster/MobZombie.java
@@ -29,7 +29,7 @@ public class MobZombie extends MobMonsterArmored<HumanArmorShape>
             float f = calcBrightness(1.0F);
             Weather weather = world.getCurrentWeather();
             if(f > 0.5F && world.canBlockSeeTheSky(MathHelper.floor(x), MathHelper.floor(y), MathHelper.floor(z)) && random.nextFloat() * 30F < (f - 0.4F) * 2.0F
-                && weather != null && !weather.isDamp() && (world.getCurrentWeather() != Weathers.OVERWORLD_FOG || world.weatherManager.getWeatherPower() < 0.8F))
+                && weather != null && !weather.isDamp() && (world.getCurrentWeather() != Weathers.OVERWORLD_FOG || world.getWeatherManager().getWeatherPower() < 0.8F))
             {
                 remainingFireTicks = 300;
             }
diff --git a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandChunk.java b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandChunk.java
index 51507880c..d99de6922 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandChunk.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandChunk.java
@@ -26,9 +26,7 @@ public class CommandChunk implements CommandManager.CommandRegistry {
                         int z = coordinates2D.getZ(source);
 
                         world.getChunkProvider().regenerateChunk(x, z);
-                        for (LevelListener listener : world.listeners) {
-                            listener.allChanged(false, true);
-                        }
+                        world.allChanged(false, true);
                         source.sendTranslatableMessage("command.commands.chunk.reset.success", x, z);
                         return Command.SINGLE_SUCCESS;
                     }))));
diff --git a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandPlace.java b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandPlace.java
index 7ea83be8e..f6d5be8e9 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandPlace.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandPlace.java
@@ -39,9 +39,7 @@ public class CommandPlace implements CommandManager.CommandRegistry {
 
                                     boolean success = feature.place(world, source.getWorld().rand, x, y, z);
                                     if (success) {
-                                        for (LevelListener listener : world.listeners) {
-                                            listener.allChanged(true, false);
-                                        }
+                                        world.allChanged(true, false);
                                         source.sendTranslatableMessage("command.commands.place.success", feature.getClass().getSimpleName().substring(12), x, y, z);
                                     } else {
                                         throw FAILURE.create();
diff --git a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandTime.java b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandTime.java
index d996bc1d2..384fe00e3 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandTime.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandTime.java
@@ -134,9 +134,7 @@ public class CommandTime implements CommandManager.CommandRegistry {
 
     private static void setWorldTime(CommandSource source, World world, long time) {
         world.setWorldTime(time);
-        for (LevelListener listener : world.listeners) {
-            listener.allChanged(true, true);
-        }
+        world.allChanged(true, true);
         source.sendTranslatableMessage("command.commands.time.set", time);
     }
 
diff --git a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandWeather.java b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandWeather.java
index bfea50f68..469daab44 100644
--- a/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandWeather.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandWeather.java
@@ -24,7 +24,7 @@ public class CommandWeather implements CommandManager.CommandRegistry {
                         World world = source.getWorld();
                         Weather weather = Weathers.OVERWORLD_CLEAR;
 
-                        world.weatherManager.overrideWeather(weather);
+                        world.getWeatherManager().overrideWeather(weather);
                         source.sendTranslatableMessage("command.commands.weather.success", weather.getNameLanguageKey());
                         return Command.SINGLE_SUCCESS;
                     }))
@@ -34,7 +34,7 @@ public class CommandWeather implements CommandManager.CommandRegistry {
                             World world = source.getWorld();
                             Weather weather = c.getArgument("weather", Weather.class);
 
-                            world.weatherManager.overrideWeather(weather);
+                            world.getWeatherManager().overrideWeather(weather);
                             source.sendTranslatableMessage("command.commands.weather.success", weather.getNameLanguageKey());
                             return Command.SINGLE_SUCCESS;
                         })
@@ -44,7 +44,7 @@ public class CommandWeather implements CommandManager.CommandRegistry {
                                     World world = source.getWorld();
                                     Weather weather = c.getArgument("weather", Weather.class);
 
-                                    world.weatherManager.overrideWeather(weather, c.getArgument("duration", Integer.class));
+                                    world.getWeatherManager().overrideWeather(weather, c.getArgument("duration", Integer.class));
                                     source.sendTranslatableMessage("command.commands.weather.success", weather.getNameLanguageKey());
                                     return Command.SINGLE_SUCCESS;
                                 })
@@ -54,7 +54,7 @@ public class CommandWeather implements CommandManager.CommandRegistry {
                                             World world = source.getWorld();
                                             Weather weather = c.getArgument("weather", Weather.class);
 
-                                            world.weatherManager.overrideWeather(weather, c.getArgument("duration", Integer.class), c.getArgument("power", Float.class));
+                                            world.getWeatherManager().overrideWeather(weather, c.getArgument("duration", Integer.class), c.getArgument("power", Float.class));
                                             source.sendTranslatableMessage("command.commands.weather.success", weather.getNameLanguageKey());
                                             return Command.SINGLE_SUCCESS;
                                         })))));
diff --git a/game/core/src/main/java/net/minecraft/core/world/BlocksContainer.java b/game/core/src/main/java/net/minecraft/core/world/BlocksContainer.java
index 877bf8593..4b8e0a4b8 100644
--- a/game/core/src/main/java/net/minecraft/core/world/BlocksContainer.java
+++ b/game/core/src/main/java/net/minecraft/core/world/BlocksContainer.java
@@ -11,6 +11,7 @@ import net.minecraft.core.world.biome.Biome;
 import net.minecraft.core.world.pos.TilePos;
 import net.minecraft.core.world.pos.TilePosc;
 import net.minecraft.core.world.season.SeasonManager;
+import net.minecraft.core.world.weather.WeatherManager;
 import org.jetbrains.annotations.NotNull;
 import org.jetbrains.annotations.Nullable;
 
@@ -203,6 +204,11 @@ public class BlocksContainer implements MutableWorldSource {
         return this.world.getSeasonManager();
     }
 
+    @Override
+    public @NotNull WeatherManager getWeatherManager() {
+        return this.world.getWeatherManager();
+    }
+
     @Override
     public @NotNull Biome getBlockBiome(final @NotNull TilePosc tilePos) {
         return this.world.getBlockBiome(tilePos);
diff --git a/game/core/src/main/java/net/minecraft/core/world/World.java b/game/core/src/main/java/net/minecraft/core/world/World.java
index 13fda2270..f511aaa17 100644
--- a/game/core/src/main/java/net/minecraft/core/world/World.java
+++ b/game/core/src/main/java/net/minecraft/core/world/World.java
@@ -96,17 +96,27 @@ public abstract class World implements MutableWorldSource {
 
     public final @NotNull List<@NotNull Entity> entities = new ObjectArrayList<>();
     private final @NotNull List<@NotNull Entity> entitiesToRemove = new ObjectArrayList<>();
+
     private final @NotNull TreeSet<@NotNull NextTickListEntry> tickNextTickList = new TreeSet<>();
     private final @NotNull Set<@NotNull NextTickListEntry> tickNextTickSet = new HashSet<>();
+
     public final @NotNull List<@NotNull TileEntity> tileEntityList = new ObjectArrayList<>();
+
     public final @NotNull List<@NotNull Player> players = new ObjectArrayList<>();
+
     public final @NotNull List<@NotNull Entity> weatherEffects = new ObjectArrayList<>();
+
     public final @NotNull List<@NotNull AABBdc> collidingBoundingBoxes = new ObjectArrayList<>();
-    public final @NotNull List<@NotNull LevelListener> listeners = new ObjectArrayList<>();
+
+    private final @NotNull List<@NotNull LevelListener> listeners = new ObjectArrayList<>();
     private final @NotNull Set<@NotNull ChunkPosc> positionsToUpdate = new ObjectOpenHashSet<>();
     private final @NotNull List<@NotNull Entity> entityBuffer = new ObjectArrayList<>();
     private final @NotNull Set<@NotNull NextTickListEntry> immediatelyUpdatedPositions = new ObjectOpenHashSet<>();
 
+    public final @NotNull Random rand = new Random();
+    public final @NotNull Dimension dimension;
+    public final boolean isNewWorld;
+
     public boolean scheduledUpdatesAreImmediate = false;
     public int skyDarken = 0;
     protected int updateLCG = new Random().nextInt();
@@ -116,16 +126,8 @@ public abstract class World implements MutableWorldSource {
     public boolean dayCanHaveRainbow = true;
     public boolean noNeighborUpdate = false;
 
-    public final @NotNull Random rand = new Random();
-    public final boolean isNewWorld;
-    public final @NotNull Dimension dimension;
-    public final @NotNull ChunkProvider chunkProvider;
-    private final @NotNull LevelStorage levelStorage;
-    private final @NotNull LevelData levelData;
-    private final @NotNull DimensionData dimensionData;
     public boolean findingSpawnPoint;
     protected boolean enoughPlayersSleeping;
-    protected final @NotNull LightingEngine lightingEngine = new LightingEngineLegacy(this);
     private boolean updatingTileEntities;
 
     private int caveSoundCounter = this.rand.nextInt(12000);
@@ -134,12 +136,16 @@ public abstract class World implements MutableWorldSource {
     private long runtime = 0;
     public int dayCountLastTick;
 
-    public final @NotNull BiomeProvider biomeProvider;
-    public final @NotNull SeasonManager seasonManager;
-    public WeatherManager weatherManager;
-
+    private final @NotNull ChunkProvider chunkProvider;
+    private final @NotNull LevelStorage levelStorage;
+    private final @NotNull LevelData levelData;
+    private final @NotNull DimensionData dimensionData;
+    private final @NotNull BiomeProvider biomeProvider;
+    private final @NotNull SeasonManager seasonManager;
+    private final @NotNull WeatherManager weatherManager;
     private final @NotNull CommandManager commandManager = new CommandManager(isServer);
     private final @NotNull WireHandler wireHandler = new WireHandler(this);
+    private final @NotNull LightingEngine lightingEngine = new LightingEngineLegacy(this);
 
     private World(
         final long seed,
@@ -334,7 +340,7 @@ public abstract class World implements MutableWorldSource {
     }
 
     public @Nullable Weather getCurrentWeather() {
-        return (this.weatherManager == null) ? null : this.weatherManager.getCurrentWeather();
+        return this.weatherManager.getCurrentWeather();
     }
 
     @Override
@@ -403,6 +409,10 @@ public abstract class World implements MutableWorldSource {
         return this.seasonManager;
     }
 
+    public @NotNull WeatherManager getWeatherManager() {
+        return this.weatherManager;
+    }
+
     @Override
     public double getBlockVariety(final @NotNull TilePosc tilePos) {
         if (tilePos.x() < MIN_BLOCK_X || tilePos.z() < MIN_BLOCK_Z || tilePos.x() > MAX_BLOCK_X || tilePos.z() > MAX_BLOCK_Z) {
@@ -911,7 +921,6 @@ public abstract class World implements MutableWorldSource {
         return this.checkBlockCollisionBetweenPoints(start, end, false, false, false);
     }
 
-
     public @Nullable HitResult checkBlockCollisionBetweenPoints(@NotNull final Vector3dc start, @NotNull final Vector3dc end, final boolean shouldCollideWithFluids) {
         return this.checkBlockCollisionBetweenPoints(start, end, shouldCollideWithFluids, false, false);
     }
@@ -1287,15 +1296,15 @@ public abstract class World implements MutableWorldSource {
         float bright = 1.0F - (MathHelper.cos(angle * MathHelper.PI * 2.0F) * 2.0F + 0.2F);
         bright = 1.0f - MathHelper.clamp(bright, 0.0f, 1.0f);
 
-        final Weather weather = this.weatherManager.getCurrentWeather();
+        final Weather weather = this.getWeatherManager().getCurrentWeather();
         if (weather != null) {
             // TODO Unhardcode somehow
             if (weather == Weathers.OVERWORLD_RAIN) {
-                final float power = this.weatherManager.getWeatherIntensity() * this.weatherManager.getWeatherPower();
+                final float power = this.getWeatherManager().getWeatherIntensity() * this.getWeatherManager().getWeatherPower();
                 bright = (float) (bright * (1.0 - (power * 5.0f) / 16.0));
             }
             if (weather == Weathers.OVERWORLD_STORM) {
-                final float power = this.weatherManager.getWeatherIntensity() * this.weatherManager.getWeatherPower();
+                final float power = this.getWeatherManager().getWeatherIntensity() * this.getWeatherManager().getWeatherPower();
                 bright = (float) (bright * (1.0 - (power * 5.0f) / 16.0));
                 bright = (float) (bright * (1.0 - (power * 5.0f) / 16.0));
             }
@@ -1954,7 +1963,7 @@ public abstract class World implements MutableWorldSource {
         Debug.push("misc");
         this.immediatelyUpdatedPositions.clear();
         Debug.change("weather");
-        this.weatherManager.tick();
+        this.getWeatherManager().tick();
         Debug.change("misc");
         this.updateSleepingPlayers();
         Debug.change("spawning");
@@ -2689,7 +2698,7 @@ public abstract class World implements MutableWorldSource {
         }
         final @Nullable Weather currentWeather = this.getCurrentWeather();
         if (currentWeather instanceof IPrecipitation && ((IPrecipitation) currentWeather).spawnRainParticles()) {
-            this.weatherManager.overrideWeather(this.getWorldType().getDefaultWeather());
+            this.getWeatherManager().overrideWeather(this.getWorldType().getDefaultWeather());
         }
     }
 
diff --git a/game/core/src/main/java/net/minecraft/core/world/WorldSource.java b/game/core/src/main/java/net/minecraft/core/world/WorldSource.java
index bfea39716..fc1ca427e 100644
--- a/game/core/src/main/java/net/minecraft/core/world/WorldSource.java
+++ b/game/core/src/main/java/net/minecraft/core/world/WorldSource.java
@@ -9,6 +9,7 @@ import net.minecraft.core.world.biome.Biome;
 import net.minecraft.core.world.pos.TilePos;
 import net.minecraft.core.world.pos.TilePosc;
 import net.minecraft.core.world.season.SeasonManager;
+import net.minecraft.core.world.weather.WeatherManager;
 import org.jetbrains.annotations.NotNull;
 import org.jetbrains.annotations.Nullable;
 
@@ -121,6 +122,8 @@ public interface WorldSource {
 
     @NotNull SeasonManager getSeasonManager();
 
+    @NotNull WeatherManager getWeatherManager();
+
     @NotNull Biome getBlockBiome(final @NotNull TilePosc tilePos);
 
     @Deprecated
diff --git a/game/core/src/main/java/net/minecraft/core/world/chunk/ChunkCache.java b/game/core/src/main/java/net/minecraft/core/world/chunk/ChunkCache.java
index 3591baf06..f09a4fa87 100644
--- a/game/core/src/main/java/net/minecraft/core/world/chunk/ChunkCache.java
+++ b/game/core/src/main/java/net/minecraft/core/world/chunk/ChunkCache.java
@@ -15,6 +15,7 @@ import net.minecraft.core.world.pos.ChunkTilePos;
 import net.minecraft.core.world.pos.TilePos;
 import net.minecraft.core.world.pos.TilePosc;
 import net.minecraft.core.world.season.SeasonManager;
+import net.minecraft.core.world.weather.WeatherManager;
 import org.jetbrains.annotations.NotNull;
 import org.jetbrains.annotations.Nullable;
 
@@ -219,6 +220,11 @@ public class ChunkCache
         return this.world.getSeasonManager();
     }
 
+    @Override
+    public @NotNull WeatherManager getWeatherManager() {
+        return this.world.getWeatherManager();
+    }
+
     @Override
     public @NotNull Biome getBlockBiome(final @NotNull TilePosc tilePos) {
         return this.world.getBlockBiome(tilePos);
diff --git a/game/core/src/main/java/net/minecraft/core/world/type/WorldTypeEmpty.java b/game/core/src/main/java/net/minecraft/core/world/type/WorldTypeEmpty.java
index 208d5afb3..514d28a5b 100644
--- a/game/core/src/main/java/net/minecraft/core/world/type/WorldTypeEmpty.java
+++ b/game/core/src/main/java/net/minecraft/core/world/type/WorldTypeEmpty.java
@@ -76,7 +76,7 @@ public class WorldTypeEmpty
         float weatherOffset = 0;
         Weather currentWeather = world.getCurrentWeather();
         if (currentWeather != null)
-            weatherOffset = currentWeather.getLightLevelSubtracted() * world.weatherManager.getWeatherIntensity() * world.weatherManager.getWeatherPower();
+            weatherOffset = currentWeather.getLightLevelSubtracted() * world.getWeatherManager().getWeatherIntensity() * world.getWeatherManager().getWeatherPower();
         return (int) (f2 * (11F - weatherOffset) + weatherOffset);
     }
 }
diff --git a/game/core/src/main/java/net/minecraft/core/world/type/drift/WorldTypeDrift.java b/game/core/src/main/java/net/minecraft/core/world/type/drift/WorldTypeDrift.java
index 322629de5..72ff79c14 100644
--- a/game/core/src/main/java/net/minecraft/core/world/type/drift/WorldTypeDrift.java
+++ b/game/core/src/main/java/net/minecraft/core/world/type/drift/WorldTypeDrift.java
@@ -94,7 +94,7 @@ public class WorldTypeDrift
         }
         float weatherOffset = 0;
         if (world.getCurrentWeather() != null)
-            weatherOffset = world.getCurrentWeather().getLightLevelSubtracted() * world.weatherManager.getWeatherIntensity() * world.weatherManager.getWeatherPower();
+            weatherOffset = world.getCurrentWeather().getLightLevelSubtracted() * world.getWeatherManager().getWeatherIntensity() * world.getWeatherManager().getWeatherPower();
         int subtracted = (int) (f2 * (11F - weatherOffset) + weatherOffset);
         if (subtracted > 8) subtracted = 8;
         return subtracted;
diff --git a/game/core/src/main/java/net/minecraft/core/world/type/overworld/WorldTypeOverworld.java b/game/core/src/main/java/net/minecraft/core/world/type/overworld/WorldTypeOverworld.java
index a0291dc1d..d05a103d0 100644
--- a/game/core/src/main/java/net/minecraft/core/world/type/overworld/WorldTypeOverworld.java
+++ b/game/core/src/main/java/net/minecraft/core/world/type/overworld/WorldTypeOverworld.java
@@ -91,7 +91,7 @@ public class WorldTypeOverworld
         float weatherOffset = 0;
         Weather currentWeather = world.getCurrentWeather();
         if (currentWeather != null)
-            weatherOffset = currentWeather.getLightLevelSubtracted() * world.weatherManager.getWeatherIntensity() * world.weatherManager.getWeatherPower();
+            weatherOffset = currentWeather.getLightLevelSubtracted() * world.getWeatherManager().getWeatherIntensity() * world.getWeatherManager().getWeatherPower();
         return (int) (f2 * (11F - weatherOffset) + weatherOffset);
     }
 }
diff --git a/game/core/src/main/java/net/minecraft/core/world/weather/WeatherSnow.java b/game/core/src/main/java/net/minecraft/core/world/weather/WeatherSnow.java
index 4326644c0..b506f58d3 100644
--- a/game/core/src/main/java/net/minecraft/core/world/weather/WeatherSnow.java
+++ b/game/core/src/main/java/net/minecraft/core/world/weather/WeatherSnow.java
@@ -42,7 +42,7 @@ public class WeatherSnow
 
     @Override
     public void doChunkLoadEffect(@NotNull World world, @NotNull Chunk chunk) {
-        if (world.weatherManager.getWeatherPower() <= 0.6f) return;
+        if (world.getWeatherManager().getWeatherPower() <= 0.6f) return;
         for (int x = 0; x < 16; x++) {
             int worldX = chunk.pos.x * 16 + x;
             zLoop:
@@ -79,7 +79,7 @@ public class WeatherSnow
 
     @Override
     public void doEnvironmentUpdate(@NotNull World world, @NotNull Random rand, int x, int z) {
-        int probability = (int) (64 * (1 / world.weatherManager.getWeatherPower()));
+        int probability = (int) (64 * (1 / world.getWeatherManager().getWeatherPower()));
         if (world.getSeasonManager().getCurrentSeason() != null && world.getSeasonManager().getCurrentSeason().hasDeeperSnow) {
             probability /= 2;
         }
@@ -96,17 +96,17 @@ public class WeatherSnow
             if (biome.blockedWeathers[i] == this) return;
         }
 
-        if (world.weatherManager.getWeatherPower() > 0.6f && y >= 0 && y < world.getHeightBlocks() && world.getSavedLightValue(LightLayer.Block, x, y, z) < 10) {
+        if (world.getWeatherManager().getWeatherPower() > 0.6f && y >= 0 && y < world.getHeightBlocks() && world.getSavedLightValue(LightLayer.Block, x, y, z) < 10) {
             if (blockId == 0 && blockIdBelow != 0 && Blocks.LAYER_SNOW.canPlaceBlockAt(world, x, y, z) && blockIdBelow != Blocks.ICE.id()) {
                 if (snow) {
                     world.setBlockWithNotify(x, y, z, Blocks.LAYER_SNOW.id());
                 }
-            } else if (world.weatherManager.getWeatherPower() > 0.5f && blockId == Blocks.LAYER_SNOW.id() && world.getSeasonManager().getCurrentSeason() != null && (world.getSeasonManager().getCurrentSeason().hasDeeperSnow || biome == Biomes.OVERWORLD_GLACIER)) {
+            } else if (world.getWeatherManager().getWeatherPower() > 0.5f && blockId == Blocks.LAYER_SNOW.id() && world.getSeasonManager().getCurrentSeason() != null && (world.getSeasonManager().getCurrentSeason().hasDeeperSnow || biome == Biomes.OVERWORLD_GLACIER)) {
                 if (snow) {
                     Blocks.LAYER_SNOW.getLogic().accumulate(world, new TilePos(x, y, z));
                 }
             } else if (blockIdBelow == Blocks.FLUID_WATER_STILL.id() && world.getBlockMetadata(x, y - 1, z) == 0) {
-                if (rand.nextFloat() < world.weatherManager.getWeatherPower() * world.weatherManager.getWeatherIntensity()) {
+                if (rand.nextFloat() < world.getWeatherManager().getWeatherPower() * world.getWeatherManager().getWeatherIntensity()) {
                     for (int i = 0; i < 4; i++) {
                         Direction direction = Direction.horizontalDirections[i];
                         Block<?> block = world.getBlock(x + direction.getOffsetX(), y - 1, z + direction.getOffsetZ());
diff --git a/game/core/src/main/java/net/minecraft/core/world/weather/WeatherStorm.java b/game/core/src/main/java/net/minecraft/core/world/weather/WeatherStorm.java
index d65abcd87..c081905ca 100644
--- a/game/core/src/main/java/net/minecraft/core/world/weather/WeatherStorm.java
+++ b/game/core/src/main/java/net/minecraft/core/world/weather/WeatherStorm.java
@@ -32,7 +32,7 @@ public class WeatherStorm extends WeatherRain {
     public void doEnvironmentUpdate(final @NotNull World world, final @NotNull Random rand, final int x, final int z) {
         super.doEnvironmentUpdate(world, rand, x, z);
 
-        if (rand.nextInt((int) (100000 * (1 / world.weatherManager.getWeatherPower()))) == 0) {
+        if (rand.nextInt((int) (100000 * (1 / world.getWeatherManager().getWeatherPower()))) == 0) {
             final int searchRadius = 32;
 
             int maxWeight = Integer.MIN_VALUE;
diff --git a/game/server/src/main/java/net/minecraft/server/world/WorldServer.java b/game/server/src/main/java/net/minecraft/server/world/WorldServer.java
index a8b0efd4d..a25fbbe06 100644
--- a/game/server/src/main/java/net/minecraft/server/world/WorldServer.java
+++ b/game/server/src/main/java/net/minecraft/server/world/WorldServer.java
@@ -260,7 +260,7 @@ public class WorldServer extends World {
         super.tick();
 
         if (System.currentTimeMillis() - lastWeatherSend > 1000) {
-            mcServer.playerList.sendPacketToAllPlayers(new PacketWeatherStatus(dimension.id, getCurrentWeather() != null ? getCurrentWeather().getId() : -1, weatherManager.getNextWeather() != null ? weatherManager.getNextWeather().getId() : -1, weatherManager.getWeatherDuration(), weatherManager.getWeatherIntensity(), weatherManager.getWeatherPower()));
+            mcServer.playerList.sendPacketToAllPlayers(new PacketWeatherStatus(dimension.id, getCurrentWeather() != null ? getCurrentWeather().getId() : -1, getWeatherManager().getNextWeather() != null ? getWeatherManager().getNextWeather().getId() : -1, getWeatherManager().getWeatherDuration(), getWeatherManager().getWeatherIntensity(), getWeatherManager().getWeatherPower()));
             lastWeatherSend = System.currentTimeMillis();
         }
     }
